GdalTools: Output format is already GeoTIFF

2013-08-03 08:19 PM - Minoru Akagi

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17179

Description

Some GdalTools (e.g. translation, warp) generate only GeoTIFF files, because the "-of" option is always set to "GTiff". So we need to

directly edit the "-of" option to write into another format. The selected filter in the output file select dialog does not apply to the option. This

means that some features of GdalTools are not working well.

Associated revisions

Revision a781e1e2 - 2013-08-04 07:47 AM - Minoru Akagi

GdalTools: apply selected name filter to -of parameter (fix #8408)

Revision c27d1c0e - 2013-09-18 09:37 AM - Nathan Woodrow

Merge pull request #786 from minorua/gdaltools_of2

GdalTools: apply selected name filter to -of parameter (fix #8408)

History

#1 - 2013-08-03 08:32 PM - Minoru Akagi

"already" in the title is a typo. It should be "always".

pull request to fix this issue: https://github.com/qgis/Quantum-GIS/pull/785

#2 - 2013-09-18 05:29 AM - Minoru Akagi

Fixed in commit:"c27d1c0"

#3 - 2013-09-18 05:29 AM - Minoru Akagi

- Status changed from Open to Closed
https://github.com/qgis/Quantum-GIS/pull/785

